# SGCC: positives=80, negatives=100
metrics1 = {"TP": 49, "FP": 5, "TN": 95, "FN": 31}
metrics2 = {"TP": 65, "FP": 5, "TN": 95, "FN": 15}
metrics3 = {"TP": 69, "FP": 5, "TN": 95, "FN": 11}
metrics4 = {"TP": 71, "FP": 5, "TN": 95, "FN": 9}
metrics5 = {"TP": 74, "FP": 5, "TN": 95, "FN": 6}
metrics6 = {"TP": 77, "FP": 5, "TN": 95, "FN": 3}
metrics6_wo_sa = {"TP": 63, "FP": 5, "TN": 95, "FN": 17}

all_metrics = [metrics1, metrics2, metrics3, metrics4, metrics5, metrics6, metrics6_wo_sa]

for metrics in all_metrics:
    precision = metrics["TP"] / (metrics["TP"] + metrics["FP"])
    recall = metrics["TP"] / (metrics["TP"] + metrics["FN"])
    f1_score = 2*precision*recall / (precision + recall)
    accuracy = (metrics["TP"] + metrics["TN"]) / (metrics["TP"] + metrics["FP"] + metrics["TN"] + metrics["FN"])
    fpr = metrics["FP"] / (metrics["FP"] + metrics["TN"])
    print("Precision: %.3f  Recall: %.3f  F1-score: %.3f Accuracy: %.3f FPR: %.3f" % (precision, recall, f1_score, accuracy, fpr))

print("---------------------------------------------------")

# LEAD1.0: positives=80, negatives=100
metrics1 = {"TP": 45, "FP": 5, "TN": 95, "FN": 35}
metrics2 = {"TP": 64, "FP": 5, "TN": 95, "FN": 16}
metrics3 = {"TP": 66, "FP": 5, "TN": 95, "FN": 14}
metrics4 = {"TP": 70, "FP": 5, "TN": 95, "FN": 10}
metrics5 = {"TP": 72, "FP": 5, "TN": 95, "FN": 8}
metrics6 = {"TP": 76, "FP": 5, "TN": 95, "FN": 4}
metrics6_wo_sa = {"TP": 61, "FP": 5, "TN": 95, "FN": 19}

all_metrics = [metrics1, metrics2, metrics3, metrics4, metrics5, metrics6, metrics6_wo_sa]

for metrics in all_metrics:
    precision = metrics["TP"] / (metrics["TP"] + metrics["FP"])
    recall = metrics["TP"] / (metrics["TP"] + metrics["FN"])
    f1_score = 2*precision*recall / (precision + recall)
    accuracy = (metrics["TP"] + metrics["TN"]) / (metrics["TP"] + metrics["FP"] + metrics["TN"] + metrics["FN"])
    fpr = metrics["FP"] / (metrics["FP"] + metrics["TN"])
    print("Precision: %.3f  Recall: %.3f  F1-score: %.3f Accuracy: %.3f FPR: %.3f" % (precision, recall, f1_score, accuracy, fpr))